<?php
include "pages/header.php";
include "components/dashboard/submenu.php";
?>


<div id="content" class="systeminfo">
<div id="spacer">
<h2 id="systeminfo_header"><?= tt("menu_dashboard_systeminfo") ?></h2>



<div id="systeminfo_server"></div>

<?
$showClientInfo = SystemSettings::get(SystemSettings::SERVER_NS . "menu.dashboard.client.info", 0) > 0 ? true : false;
?>
<div class="systeminfo_clients" <?= $showClientInfo ? "" : 'style="display:none"'?>>
    <input id="cliststart" type="hidden" value="0"/>
	<fieldset>
	<legend><?= tt("dashboard_systeminfo_clients_legend") ?></legend>
	<div class="systeminfo_clientsicon">
	<div class="systeminfo_clients_list">
		<div id="clients">
                     <div class="systeminfo_clients_list_item_headerlabel" id="systeminfo_clients_list_item_headerlabel">
                        <span class="hostHeader">Hostname</span>
                        <span class="versionHeader">Version</span>
                        <span class="lastseenHeader">Last Seen</span>
                        <div class="clearer"></div>
                    </div>
                    <div id="clientlist" style="height:250px;overflow-y:auto;overflow-x:hidden;"><div id="lastone"></div></div>
                </div>		
	</div>
	</div>	
	</fieldset>	
</div>									
																		


<script type="text/javascript">
<!--

// Send TimeZone offset since this is the entry point
function postTimezoneOffset() {
	sendData('complete_selection/post_presentation_selection.php', '', 'key', '<?= RealTime::GUI_TIMEZONE_OFFSET ?>', 'value', new Date().getTimezoneOffset() * -60);
	sendData('complete_selection/post_presentation_selection.php', '', 'key', '<?= RealTime::GUI_CLIENT_TIME ?>', 'value', new Date().getTime() );
}

$('systeminfo_server').set('html', 'Please wait..').load("/module/system/info.raw");

var data = null;
jsonRequest = new Request({
    url: "/module/openit_clients.json", 
    format: "json", 
    async: true,
    onRequest: function() { $('lastone').set('html','<p>Loading Clients... This may take a few seconds. Please wait...</p>'); startLoading();},
    onComplete: function(list){
        data = escape(list);
        stopLoading();
    }
    
}).get();

//check if data is received
var timer = setInterval(function(){checkData()}, 100);
function checkData() {
    if(data!=null){clearInterval(timer);build_list();}
}

function build_list() {
    req = new Request.HTML({
        method: 'post',
        url: "build_client_list.php",
        data: {clients:data, start:$j("#cliststart").attr("value")},
        onRequest: function() { $('lastone').set('html','Loading Clients... This may take a few seconds. Please wait...'); startLoading();},
        onComplete: function(t,d,h,j) { $j('#lastone').replaceWith(h); stopLoading();}
    }).send();
}

setTimeout('postTimezoneOffset();', 1);
//-->
</script>

<div class="clearer"></div>

</div>
</div>

<script type="text/javascript">
<!--

function toggleClientInfo(obj) {
	if (gebi(obj).style.display == 'block') {
		gebi(obj).style.display = 'none';
	} else {
		gebi(obj).style.display = 'block';
	}

}

var listIsLoading;
$j("#clientlist").scroll(function(){
    if($('lastone')==null) return;
    //$j("#test").attr("value", $j(this)[0].scrollHeight+" - "+$j(this).scrollTop()+" = "+($j(this)[0].scrollHeight - $j(this).scrollTop())+" : "+$j(this).outerHeight());
    
    if (!listIsLoading && ($j(this)[0].scrollHeight - $j(this).scrollTop() < ($j(this).outerHeight()+25))) {
        listIsLoading = true;
        build_list();
        (function(){listIsLoading = false;}).delay(50);
    }
});

//-->
</script>


<?php include "pages/footer.php"; ?>
