<?php

$clients = json_decode(urldecode($_REQUEST["clients"]));
$clpop = count($clients);
$start = $_REQUEST["start"];
$step = 100;

foreach($clients as $key=>$client){
    if($key>=$start&&$key<($start+$step)){
        echo "<div class=\"systeminfo_clients_list_item $client->icon\" onClick=\"toggleClientInfo('clientInfo$key')\">";
        echo "<div class=\"systeminfo_clients_list_item_header\">";
        echo "<span class=\"host\"".(strlen($client->hostname)>20 ? "title=\"".$client->hostname."\"":"").">".(strlen($client->hostname)>20 ? substr($client->hostname,0,20)."...":$client->hostname)."</span>";
        echo "<span class=\"version\">$client->version</span>";
        $days = floor($client->lastSeen/86400);
        $hours = floor(($client->lastSeen - ($days * 86400)) / 3600);
        $minutes = floor(($client->lastSeen - ($days * 86400) - ($hours * 3600)) / 60);
        $timeSinceCheckout = ($days!=0 ? "$days day(s), ":"") . ($hours!=0 ? "$hours hours(s), ":"") . ($minutes!=0 ? "$minutes minute(s)":"");
        echo "<span class=\"lastseen\">$timeSinceCheckout</span>";
        echo "<div class=\"clearer\"></div></div>";

        echo "<div class=\"systeminfo_clients_list_item_detail\" id=\"clientInfo$key\">";
        echo "<dl><dt>Platform</dt><dd>$client->platform</dd></dl>";
        echo "<dl><dt>Kernel</dt><dd>$client->kernel</dd></dl>";
		if($client->patches!="" && !empty($client->patches)){
			//Make the patches a comma separated string
			$client->patches = implode(",",$client->patches);
            //Make sure these will not be shown in the client list
            $replace = array(",patch.log","Patch.log","Patch");
            $client->patches = str_replace($replace, "", $client->patches);
			echo "<dl><dt>Patches</dt><dd>$client->patches</dd></dl>";
		}
        echo "<div class=\"clearer\"></div></div></div>";
    }
    if($key>=($start+$step)) break;
}
if($start<$clpop) echo "<div id=\"lastone\"></div>";
?>



<script type="text/javascript">
$j("#cliststart").attr("value", <?=($start+$step)?>);

if(<?=count($clients)?> > 9){
    $('systeminfo_clients_list_item_headerlabel').setStyle("padding-right","15px");
    if("<?=strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE 7.0')?>" != ""){ 
        $('systeminfo_clients_list_item_headerlabel').setStyle("padding-right","0px");
    }
}
</script>